apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2026-01-14T00:22:06Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2026-01-14T00:22:06Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2026-01-14T00:29:27Z'
  name: ova-nfs-test
  namespace: openshift-mtv
  resourceVersion: '3307696'
  uid: f8242e62-4548-4072-90cf-5de6413a2f7d
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: a173a308-a60e-475a-8b58-b8c3f21ecf97
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: ova-nfs-ap
      namespace: openshift-mtv
      uid: 034afe3c-2ca0-4d6a-a1d7-9476f5efb6e4
  preserveStaticIPs: true
  vms:
    - hooks:
        - hook:
            name: ova-nfs-test-pre-hook
            namespace: openshift-mtv
          step: PreHook
        - hook:
            name: ova-nfs-test-post-hook
            namespace: openshift-mtv
          step: PostHook
      id: cc0d22e68ba89d80c2d67d9bc1713ea2f64e
      name: Auto-esx8.0-win2019-efi-with-extra-online-disks
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: ova-nfs-ap-c57dr
      namespace: openshift-mtv
      uid: b76dc2be-37b8-4044-8bf6-9343e7640023
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: ova-nfs-ap-2dmtl
      namespace: openshift-mtv
      uid: 5fdb158f-d242-4d19-95a2-f7cbee02fe34
  runPreflightInspection: true
  targetPowerState: 'on'
status:
  conditions:
    - category: Advisory
      durable: true
      lastTransitionTime: '2026-01-14T00:22:11Z'
      message: The plan is EXECUTING.
      status: 'True'
      type: Executing
    - category: Critical
      lastTransitionTime: '2026-01-14T00:29:27Z'
      message: Map.Network does not have Ready condition.
      status: 'True'
      type: NetworkMapNotReady
  migration:
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2026-01-14T00:22:11Z'
            message: The plan is EXECUTING.
            status: 'True'
            type: Executing
        map:
          network:
            generation: 1
            name: ova-nfs-ap-c57dr
            namespace: openshift-mtv
            uid: b76dc2be-37b8-4044-8bf6-9343e7640023
          storage:
            generation: 1
            name: ova-nfs-ap-2dmtl
            namespace: openshift-mtv
            uid: 5fdb158f-d242-4d19-95a2-f7cbee02fe34
        migration:
          generation: 1
          name: ova-nfs-test-6dgn4
          namespace: openshift-mtv
          uid: 593cb72a-44cd-46e0-b872-434a33988183
        plan:
          generation: 1
          name: ova-nfs-test
          namespace: openshift-mtv
          uid: f8242e62-4548-4072-90cf-5de6413a2f7d
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: a173a308-a60e-475a-8b58-b8c3f21ecf97
          source:
            generation: 2
            name: ova-nfs-ap
            namespace: openshift-mtv
            uid: 034afe3c-2ca0-4d6a-a1d7-9476f5efb6e4
    started: '2026-01-14T00:22:11Z'
    vms:
      - hooks:
          - hook:
              name: ova-nfs-test-pre-hook
              namespace: openshift-mtv
            step: PreHook
          - hook:
              name: ova-nfs-test-post-hook
              namespace: openshift-mtv
            step: PostHook
        id: cc0d22e68ba89d80c2d67d9bc1713ea2f64e
        luks: {}
        name: Auto-esx8.0-win2019-efi-with-extra-online-disks
        newName: auto-esx8.0-win2019-efi-with-extra-online-disks
        phase: CopyDisksVirtV2V
        pipeline:
          - completed: '2026-01-14T00:22:11Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-01-14T00:22:11Z'
          - completed: '2026-01-14T00:22:25Z'
            description: Run pre-migration hook.
            name: PreHook
            phase: Completed
            progress:
              completed: 1
              total: 1
            started: '2026-01-14T00:22:14Z'
          - annotations:
              unit: MB
            completed: '2026-01-14T00:22:45Z'
            description: Allocate disks.
            name: DiskAllocation
            phase: Completed
            progress:
              completed: 0
              total: 0
            started: '2026-01-14T00:22:36Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2026-01-14T00:22:42Z'
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk1.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-01-14T00:22:39Z'
              - annotations:
                  unit: MB
                completed: '2026-01-14T00:22:42Z'
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk2.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-01-14T00:22:39Z'
              - annotations:
                  unit: MB
                completed: '2026-01-14T00:22:42Z'
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk3.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-01-14T00:22:42Z'
              - annotations:
                  unit: MB
                completed: '2026-01-14T00:22:45Z'
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk4.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-01-14T00:22:42Z'
          - completed: '2026-01-14T00:26:09Z'
            description: Convert image to kubevirt.
            name: ImageConversion
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-01-14T00:22:45Z'
          - annotations:
              unit: MB
            description: Copy disks.
            name: DiskTransferV2v
            phase: Running
            progress:
              completed: 0
              total: 0
            started: '2026-01-14T00:26:12Z'
            tasks:
              - annotations:
                  unit: MB
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk1.vmdk'
                progress:
                  completed: 0
                  total: 0
              - annotations:
                  unit: MB
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk2.vmdk'
                progress:
                  completed: 0
                  total: 0
              - annotations:
                  unit: MB
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk3.vmdk'
                progress:
                  completed: 0
                  total: 0
              - annotations:
                  unit: MB
                name: '/ova/win2019.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk4.vmdk'
                progress:
                  completed: 0
                  total: 0
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
          - description: Run post-migration hook.
            name: PostHook
            phase: Pending
            progress:
              completed: 0
              total: 1
        started: '2026-01-14T00:22:11Z'
  observedGeneration: 1
